# CUpti_ActivityOpenAccOther Struct Reference
[CUPTI Activity API]

The activity record for OpenACC other. More...

## Data Fields

uint32_t | cuContextId
uint32_t | cuDeviceId
uint32_t | cuProcessId
uint32_t | cuStreamId
uint32_t | cuThreadId
uint64_t | end
CUpti_OpenAccEventKind | eventKind
uint32_t | externalId
CUpti_ActivityKind | kind
uint64_t | start
uint32_t | threadId

## Detailed Description

(CUPTI_ACTIVITY_KIND_OPENACC_OTHER).

## Field Documentation

uint32_t CUpti_ActivityOpenAccOther::cuContextId

CUDA context id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccOther::cuDeviceId

CUDA device id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccOther::cuProcessId

The ID of the process where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAccOther::cuStreamId

CUDA stream id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccOther::cuThreadId

The ID of the thread where the OpenACC activity is executing.

uint64_t CUpti_ActivityOpenAccOther::end

CUPTI end timestamp

CUpti_OpenAccEventKind CUpti_ActivityOpenAccOther::eventKind

CUPTI OpenACC event kind (

See also:
  CUpti_OpenAccEventKind)

uint32_t CUpti_ActivityOpenAccOther::externalId

The OpenACC correlation ID. Valid only if deviceType is acc_device_nvidia. If not 0, it uniquely identifies this record. It is identical to the externalId in the preceeding external correlation record of type CUPTI_EXTERNAL_CORRELATION_KIND_OPENACC.

CUpti_ActivityKind CUpti_ActivityOpenAccOther::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_OPENACC_OTHER.

uint64_t CUpti_ActivityOpenAccOther::start

CUPTI start timestamp

uint32_t CUpti_ActivityOpenAccOther::threadId

ThreadId